import { Object3D } from "three";
import { CommonForce, ForceShape } from "./BaseForce";
/** 流体流动 */
export default class FluidFlow extends CommonForce {
    static type: string;
    get type(): string;
    shape: ForceShape;
    strength: number;
    flow: number;
    apply_location: boolean;
    source_object: string;
    smoke_density: boolean;
    constructor(object: Object3D);
}
