import { DefaultForce } from "./BaseForce";
import { Uniform } from "three";
export declare const allForce: {
    [key: string]: typeof DefaultForce;
};
/** 力场 */
export default class ForceField {
    fieldCount: Map<string, number>;
    shaderStruct: Set<string>;
    forces: Set<DefaultForce>;
    uniforms: {
        [key: string]: Uniform;
    };
    /** 添加外力 */
    addForce(force: DefaultForce): void;
}
