import Plugin from './plugin';
import ShaderNodeMaterial from '../material/ShaderNodeMaterial';
import { Texture } from 'three';
export default class MaterialPlugin extends Plugin {
    getTexture(textureId: number): Promise<Texture | null>;
    getImage(textureIndex: number, imageId: number): Promise<Texture>;
    private materialGroup;
    /** 解析组节点 */
    private parseGroup;
    private beforeCreate;
    /** world material load */
    beforeRoot(): Promise<void>;
    loadMaterial(materialIndex: number): Promise<ShaderNodeMaterial> | null;
}
