import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/**
 * Add background light emission.
 * Note: This node should only be used for the world surface output
 */
export default class Background extends ShaderNode {
    get weight(): number;
    set weight(val: number);
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
