import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface CustomGroupParams<T> extends ShaderNodeParams<T> {
    node_tree: any;
}
/** Custom Shader Group Node for Python nodes */
export default class CustomGroup extends ShaderNode implements CustomGroupParams<NodeSocket> {
    readonly node_tree: CustomGroupParams<NodeSocket>['node_tree'];
    constructor(params: CustomGroupParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
