import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/** Lambertian emission shader */
export default class Emission extends ShaderNode {
    get weight(): number;
    set weight(val: number);
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
