import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface GroupParams<T> extends ShaderNodeParams<T> {
    node_tree: any;
}
export default class Group extends ShaderNode implements GroupParams<NodeSocket> {
    readonly node_tree: GroupParams<NodeSocket>['node_tree'];
    constructor(params: GroupParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
