import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/**
 * Manipulate how light intensity decreases over distance. Typically used for
 * non-physically-based effects; in reality light always falls off quadratically
 */
export default class LightFalloff extends ShaderNode {
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
