import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/**
 * Retrieve the type of incoming ray for which the shader is being executed.
 * Typically used for non-physically-based tricks
 */
export default class LightPath extends ShaderNode {
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
