import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/**
 * Convert rendering effect (such as light and shadow) to color. Typically used for
 * non-photorealistic rendering, to apply additional effects on the output of BSDFs.
 * Note: only supported for Eevee
 */
export default class ShaderToRGB extends ShaderNode {
    static readonly type = "SHADERTORGB";
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
