import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/** Scatter light as it passes through the volume, often used to add fog to a scene */
export default class VolumeScatter extends ShaderNode {
    get weight(): number;
    set weight(val: number);
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
