import { Body, HingeConstraint, Quaternion as rigidQuaternion, Vec3 } from "cannon-es";
/** 活塞约束 */
export default class PistonConstraint extends HingeConstraint {
    bodyA: Body;
    bodyB: Body;
    axisQuat?: rigidQuaternion;
    constructor(bodyA: Body, bodyB: Body, options: {
        pivotA?: Vec3;
        pivotB?: Vec3;
        axisA?: Vec3;
        axisB?: Vec3;
        axisQuat?: rigidQuaternion;
        collideConnected?: boolean;
        maxForce?: number;
    });
    upda11te(): void;
}
