import { Body, Quaternion as rigidQuaternion, LockConstraint } from "cannon-es";
/** 滑块约束 */
export default class SliderConstraint extends LockConstraint {
    bodyA: Body;
    bodyB: Body;
    /**
     * @param bodyB Body that will be constrained in a similar way to the same point as bodyA. We will therefore get a link between bodyA and bodyB. If not specified, bodyA will be constrained to a static point.
     * @param axisQuat 坐标系 旋转矩阵
     */
    constructor(bodyA: Body, bodyB: Body, axisQuat?: rigidQuaternion);
}
