import { Pass } from 'three/examples/jsm/postprocessing/Pass';
import { Camera, Color, MeshDepthMaterial, Scene, Vector2, WebGLRenderer, WebGLRenderTarget } from 'three';
export default class DepthPass extends Pass {
    resolution: Vector2;
    static depthShader: MeshDepthMaterial;
    static clearColor: Color;
    enabled: boolean;
    needsSwap: boolean;
    scene: Scene;
    camera: Camera;
    depthTarget: WebGLRenderTarget;
    constructor(resolution?: Vector2);
    dispose(): void;
    setSize(width: number, height: number): void;
    render(renderer: WebGLRenderer, writeBuffer: WebGLRenderTarget, readBuffer: WebGLRenderTarget, deltaTime?: number, maskActive?: boolean): void;
}
