import { World } from 'cannon-es';
import { Scene } from 'three';
import ForceField from '../Field';
import BloomComposer from './BloomComposer';
import DofComposer from './DofComposer';
export interface BlenderScene {
  world?: Scene;
  rigidBodyWorld?: World;
  bloom?: BloomComposer;
  dof?: DofComposer;
  field: ForceField;
}
declare module 'three' {
  export interface Scene extends BlenderScene {
  }
}
