import { Uniform } from 'three';
import ShaderNodeMaterial from '../material/ShaderNodeMaterial';
import Clock from '../utils/Clock';
declare module 'three' {
  export interface WebGLRenderer {
    tencentShaders: Set<ShaderNodeMaterial>;
    runScript: boolean;
    renderPass: Uniform;
    clock: Clock;
  }
  export interface WebGLDebug {
    cannonDebug: boolean;
  }
}
