import { ColorRepresentation, Fog } from 'three';
export declare enum FallOff {
    QUADRATIC = 0,
    LINEAR = 1,
    INVERSE_QUADRATIC = 2
}
export default class FogFalloff extends Fog {
    fallOff: FallOff;
    readonly isFogFalloff = true;
    constructor(color: ColorRepresentation, near?: number, far?: number, fallOff?: FallOff);
    clone(): FogFalloff;
}
