import { Object3D } from "three";
import { CommonForce, ForceShape } from "./BaseForce";
/** 拖拽 */
export default class Drag extends CommonForce {
    static type: string;
    get type(): string;
    shape: ForceShape;
    apply_location: boolean;
    noise: number;
    absorption: boolean;
    wind: number;
    linear_drag: number;
    quadratic_drag: number;
    constructor(object: Object3D);
}
