import { Object3D } from "three";
import { DefaultForce, KinkAxis, KinkType } from "./BaseForce";
/** 曲线引导 */
export default class Guide extends DefaultForce {
    static type: string;
    get type(): string;
    free: number;
    falloff_power: number;
    path_add: boolean;
    path_weight: boolean;
    clump_amount: number;
    clump_shape: number;
    distance_min: number;
    distance_max: number;
    use_distance_max: boolean;
    kink_type: KinkType;
    kink_axis: KinkAxis;
    kink_frequency: number;
    kink_shape: number;
    kink_amplitude: number;
    constructor(object: Object3D);
}
