import { Object3D } from "three";
import { CommonForce, ForceShape } from "./BaseForce";
/** 谐振 */
export default class Harmonic extends CommonForce {
    static type: string;
    get type(): string;
    shape: ForceShape;
    strength: number;
    apply_location: boolean;
    noise: number;
    absorption: boolean;
    wind: number;
    damping: number;
    rest_length: number;
    multiple_springs: boolean;
    constructor(object: Object3D);
}
