import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/**
 * Retrieve information about the camera and how it relates to the current shading
 * point’s position
 */
export default class CameraData extends ShaderNode {
    static readonly type = "CAMERA";
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
