import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/** Create a color from its hue, saturation, and value channels */
export default class CombineHSV extends ShaderNode {
    static readonly type = "COMBHSV";
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
