export * as API from './api';
/** [[include:index.md]] */
export namespace Blender插件{
    /** [[include:install.md]] */
    export namespace 安装{}
    /** [[include:preview.md]] */
    export namespace 预览{}
    /** [[include:export.md]] */
    export namespace 导出项目{}
    /** [[include:material.md]] */
    export namespace 材质{
        /** [[include:shaderNode.md]] */
        export namespace 着色器节点编辑器{
            /** [[include:expressions.md]] */
            export namespace 动作表达式{}
            /** [[include:displacement.md]] */
            export namespace 置换{}
            /** [[include:pointInfo.md]] */
            export namespace 点信息节点{}
            /** [[include:particleInfo.md]] */
            export namespace 粒子信息节点{}
        }
        /** [[include:dispersion.md]] */
        export namespace 色散{}
        /** [[include:drawMode.md]] */
        export namespace 渲染模式{}
        /** [[include:blend.md]] */
        export namespace 混合模式{}
    }
    /** [[include:particleSystem.md]] */
    export namespace 粒子系统{
        export namespace 属性支持{
            /** [[include:particleSystem_emit.md]] */
            export namespace 发射{}
            /** [[include:particleSystem_velocity.md]] */
            export namespace 速度{}
            /** [[include:particleSystem_physics.md]] */
            export namespace 物理{}
            /** [[include:particleSystem_render.md]] */
            export namespace 渲染{}
            /** [[include:particleSystem_display.md]] */
            export namespace 视图显示{}
            /** [[include:particleSystem_field_weight.md]] */
            export namespace 力场权重{}
            /** [[include:particleSystem_custom.md]] */
            export namespace 定制属性{}
        }
        /** [[include:particleSystem_field.md]] */
        export namespace 力场支持{

        }
    }
    /** [[include:rigid.md]] */
    export namespace 刚体世界{
        /** [[include:rigid_hide.md]] */
        export namespace 刚体外壳{}
        /** [[include:rigid_constraint.md]] */
        export namespace 刚体约束{}
    }
    /** [[include:constraint.md]] */
    export namespace 物体约束{}
    /** [[include:controls.md]] */
    export namespace 摄像机控制器{}
    /** [[include:bloom.md]] */
    export namespace 辉光{}
    /** [[include:dof.md]] */
    export namespace 景深{}
    /** [[include:mist.md]] */
    export namespace 雾场{}
    /** [[include:shadow.md]] */
    export namespace 阴影{}
    /** [[include:transparent.md]] */
    export namespace 透明模式{}
    export namespace 其他{
        /** [[include:flowmap.md]] */
        export namespace FlowMap工具{}
        /** [[include:display_optimal.md]] */
        export namespace 优化显示{}
    }
}
